Submit Batch
curl --request POST \
--url https://datamatcher-api.thedatacity.com/api/v1/match/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companies": [
{
"input_name": "<string>",
"input_url": "<string>",
"postcode": "<string>",
"sic_code": "<string>",
"start_trading_date": "<string>",
"id": "<string>"
}
],
"callback_url": "<string>",
"webhook_secret": "<string>"
}
'import requests
url = "https://datamatcher-api.thedatacity.com/api/v1/match/batch"
payload = {
"companies": [
{
"input_name": "<string>",
"input_url": "<string>",
"postcode": "<string>",
"sic_code": "<string>",
"start_trading_date": "<string>",
"id": "<string>"
}
],
"callback_url": "<string>",
"webhook_secret": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companies: [
{
input_name: '<string>',
input_url: '<string>',
postcode: '<string>',
sic_code: '<string>',
start_trading_date: '<string>',
id: '<string>'
}
],
callback_url: '<string>',
webhook_secret: '<string>'
})
};
fetch('https://datamatcher-api.thedatacity.com/api/v1/match/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Endpoints
Submit Batch
Enqueue an async batch (max 1,000 companies). Poll GET /match/batch/.
POST
/
api
/
v1
/
match
/
batch
Submit Batch
Authorizations
Customer API key (dm_live_…)
Body
application/json
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
URL to POST once when the job completes or fails. Must be https except in local development.
Minimum string length:
1Optional HMAC-SHA256 secret. When set, the webhook includes X-DataMatcher-Signature: sha256= over the raw JSON body.
Required string length:
16 - 128Last modified on August 20, 2026
⌘I